fop 1.1

## org.apache.fop.complexscripts.fonts
Class GlyphPositioningTable.MarkAnchor

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphPositioningTable.Anchor
          org.apache.fop.complexscripts.fonts.GlyphPositioningTable.MarkAnchor

Enclosing class:
  GlyphPositioningTable

    public static class GlyphPositioningTable.MarkAnchor

extends GlyphPositioningTable.Anchor

The `MarkAnchor` class is a subclass of the `Anchor` class, adding a mark class designation.

Constructor Summary
`GlyphPositioningTable.MarkAnchor(int markClass, GlyphPositioningTable.Anchor a)` Instantiate a MarkAnchor

Method Summary
`int` `getMarkClass()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphPositioningTable.Anchor
`getAlignmentAdjustment, getAnchorPoint, getX, getXDevice, getY, getYDevice`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphPositioningTable.MarkAnchor

    public GlyphPositioningTable.MarkAnchor(int markClass,
                                            GlyphPositioningTable.Anchor a)

  Instantiate a MarkAnchor

  Parameters:
    `markClass` - the mark class
    `a` - the underlying anchor (whose fields are copied)

Method Detail

### getMarkClass

    public int getMarkClass()

  Returns:
    the mark class

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GlyphPositioningTable.Anchor`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.